Skip to main content
PUT
/
Agent
/
{agentId}
/
chat
Connect a knowledge base chat to an agent
curl --request PUT \
  --url https://api.starleads.co/Agent/{agentId}/chat \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "chatId": "chat_def456"
}
'
{
  "agentId": "agent_123",
  "chatId": "chat_def456",
  "chatName": "Support Bot KB"
}

Authorizations

X-Api-Key
string
header
required

Headers

X-Api-Key
string
required

Api key to pass as a X-Api-Key request header.

Path Parameters

agentId
string
required

ID of the agent.

Body

application/json

Request to connect a knowledge base chat to an agent

chatId
string
required

Knowledge base chat identifier to connect

Response

Chat connected to agent successfully

Represents the link between an agent and a knowledge base chat

agentId
string

Agent identifier

chatId
string

Knowledge base chat identifier

chatName
string | null

Chat name (read-only convenience)